Unity 2019.2로 업그레이드
Unity 2018.3으로 업그레이드

Unity 2019.1로 업그레이드

이 페이지에는 이전 Unity 버전에서 2019.1로 업그레이드할 경우 기존 프로젝트에 영향을 미칠 수 있는 변경 사항이 나열됩니다.


조명 개선

2019.1 이전에는 프로그레시브 라이트매퍼 사용 시 Indirect Intensity 슬라이더는 라이트맵에만 영향을 주었습니다. 인라이튼의 경우에는 라이트 프로브와 라이트맵 모두에 적용되었습니다. 이제는 모든 백엔드가 Indirect Intensity 값을 라이트맵과 라이트 프로브 둘 다에 적용합니다. 조명을 다시 베이크할 경우 Indirect Intensity 값이 변경되었다면 프로브가 더 밝게 표시됩니다. 업그레이드 후에는 라이트맵을 다시 베이크하기 전에 베이크된 데이터를 지우는 것이 좋습니다.


UI Elements가 정식 기능으로 변경

자세한 내용은 UI Elements 2019.1 업그레이드 가이드를 참조하십시오.


UnityAPICompatibilityVersionAttribute 생성자 변경

단일 문자열을 취하는 생성자는 이제 사용할 수 없습니다. 지원되는 오버로드에 대한 자세한 내용은 이 문서를 참조하십시오.


시스템 요구 사항 변경

Unity 2019.1에서 제작하는 프로젝트에는 macOS 10.12 또는 Ubuntu 16.04 버전 이상이 필요합니다.


멀티플레이어(UNet) 고수준 API가 패키지로 이동

멀티플레이어 고수준 API가 확장 기능에서 패키지로 이동했습니다. 이는 NetworkTransport 클래스(저수준 API)에는 영향을 주지 않습니다. Unity 엔진에 있는 모든 종속성이 패키지로 이동했습니다. 즉 현재 마이그레이션할 수 없는 프로파일러에 대한 일부 연결을 제외하고 고수준 API는 독립적으로 동작합니다.

고수준 API가 포함된 예전 프로젝트는 컴파일러 오류를 막기 위해 이 패키지를 자동으로 추가합니다. 이 동작은 신규 프로젝트에서는 발생하지 않으며, 필요한 경우 Package Manager 창에서 추가할 수 있습니다. 멀티플레이어 고수준 API 문서를 참조하십시오.

Unity 2019.2로 업그레이드
Unity 2018.3으로 업그레이드